org.modeshape.sequencer.teiid.lexicon

## Interface CoreLexicon.ModelId

- Enclosing interface:
    CoreLexicon

      public static interface CoreLexicon.ModelId

  Constants associated with the core namespace that identify XMI model identifiers.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `ANNOTATED_OBJECT`
    `static String` | `ANNOTATION`
    `static String` | `ANNOTATION_CONTAINER`
    `static String` | `DESCRIPTION`
    `static String` | `HREF`
    `static String` | `KEY`
    `static String` | `KEYWORD`
    `static String` | `MAX_SET_SIZE`
    `static String` | `MM_HREF_PREFIX`
    `static String` | `MM_UUID_PREFIX`
    `static String` | `MODEL_ANNOTATION`
    `static String` | `MODEL_IMPORT`
    `static String` | `MODEL_LOCATION`
    `static String` | `MODEL_TYPE`
    `static String` | `NAME`
    `static String` | `NAME_IN_SOURCE`
    `static String` | `PATH`
    `static String` | `PRIMARY_METAMODEL_URI`
    `static String` | `PRODUCER_NAME`
    `static String` | `PRODUCER_VERSION`
    `static String` | `SUPPORTS_DISTINCT`
    `static String` | `SUPPORTS_JOIN`
    `static String` | `SUPPORTS_ORDER_BY`
    `static String` | `SUPPORTS_OUTER_JOIN`
    `static String` | `SUPPORTS_WHERE_ALL`
    `static String` | `TAGS`
    `static String` | `UUID`
    `static String` | `VALUE`
    `static String` | `VISIBLE`

- - ### Field Detail

    - #### ANNOTATED_OBJECT

          static final String ANNOTATED_OBJECT

      See Also:
        Constant Field Values

    - #### ANNOTATION

          static final String ANNOTATION

      See Also:
        Constant Field Values

    - #### ANNOTATION_CONTAINER

          static final String ANNOTATION_CONTAINER

      See Also:
        Constant Field Values

    - #### DESCRIPTION

          static final String DESCRIPTION

      See Also:
        Constant Field Values

    - #### HREF

          static final String HREF

      See Also:
        Constant Field Values

    - #### KEY

          static final String KEY

      See Also:
        Constant Field Values

    - #### KEYWORD

          static final String KEYWORD

      See Also:
        Constant Field Values

    - #### MAX_SET_SIZE

          static final String MAX_SET_SIZE

      See Also:
        Constant Field Values

    - #### MM_HREF_PREFIX

          static final String MM_HREF_PREFIX

      See Also:
        Constant Field Values

    - #### MM_UUID_PREFIX

          static final String MM_UUID_PREFIX

      See Also:
        Constant Field Values

    - #### MODEL_ANNOTATION

          static final String MODEL_ANNOTATION

      See Also:
        Constant Field Values

    - #### MODEL_IMPORT

          static final String MODEL_IMPORT

      See Also:
        Constant Field Values

    - #### MODEL_LOCATION

          static final String MODEL_LOCATION

      See Also:
        Constant Field Values

    - #### MODEL_TYPE

          static final String MODEL_TYPE

      See Also:
        Constant Field Values

    - #### NAME

          static final String NAME

      See Also:
        Constant Field Values

    - #### NAME_IN_SOURCE

          static final String NAME_IN_SOURCE

      See Also:
        Constant Field Values

    - #### PATH

          static final String PATH

      See Also:
        Constant Field Values

    - #### PRIMARY_METAMODEL_URI

          static final String PRIMARY_METAMODEL_URI

      See Also:
        Constant Field Values

    - #### PRODUCER_NAME

          static final String PRODUCER_NAME

      See Also:
        Constant Field Values

    - #### PRODUCER_VERSION

          static final String PRODUCER_VERSION

      See Also:
        Constant Field Values

    - #### SUPPORTS_DISTINCT

          static final String SUPPORTS_DISTINCT

      See Also:
        Constant Field Values

    - #### SUPPORTS_JOIN

          static final String SUPPORTS_JOIN

      See Also:
        Constant Field Values

    - #### SUPPORTS_ORDER_BY

          static final String SUPPORTS_ORDER_BY

      See Also:
        Constant Field Values

    - #### SUPPORTS_OUTER_JOIN

          static final String SUPPORTS_OUTER_JOIN

      See Also:
        Constant Field Values

    - #### SUPPORTS_WHERE_ALL

          static final String SUPPORTS_WHERE_ALL

      See Also:
        Constant Field Values

    - #### TAGS

          static final String TAGS

      See Also:
        Constant Field Values

    - #### UUID

          static final String UUID

      See Also:
        Constant Field Values

    - #### VALUE

          static final String VALUE

      See Also:
        Constant Field Values

    - #### VISIBLE

          static final String VISIBLE

      See Also:
        Constant Field Values

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.